# OpalParamProtocol Struct Reference

`#include <opal.h>`

Collaboration diagram for OpalParamProtocol:

[legend]

## Data Fields

const char * | m_prefix
const char * | m_userName
const char * | m_displayName
OpalProductDescription | m_product
const char * | m_interfaceAddresses
OpalUserInputModes | m_userInputMode
const char * | m_defaultOptions

## Detailed Description

Protocol parameters for the OpalCmdSetProtocolParameters command. This is only passed to and returned from the OpalSendMessage() function.

Example: `OpalMessage command; OpalMessage * response;`

`memset(&command, 0, sizeof(command)); command.m_type = OpalCmdSetProtocolParameters; command.m_param.m_protocol.m_userName = "robertj"; command.m_param.m_protocol.m_displayName = "Robert Jongbloed"; command.m_param.m_protocol.m_interfaceAddresses = "*"; response = OpalSendMessage(hOPAL, &command);`

## Field Documentation

const char* OpalParamProtocol::m_defaultOptions

Default options for new calls using the specified protocol. This string is of the form key=value=value

const char* OpalParamProtocol::m_displayName

Display name to be used. This is the human readable form of the users name, e.g. "Robert Jongbloed".

const char* OpalParamProtocol::m_interfaceAddresses

A list of interfaces to start listening for incoming calls. This list is separated by the '
' character. If NULL no listeners are started or stopped. If and empty string ("") then all listeners are stopped. If a "*" then listeners are started for all interfaces in the system.

If the prefix is "ivr", then this is the default VXML script or URL to execute on incoming calls.

const char* OpalParamProtocol::m_prefix

Protocol prefix for parameters, e.g. "h323" or "sip". If this is NULL or empty string, then the parameters are set for all protocols where they maybe set.

OpalProductDescription OpalParamProtocol::m_product

Product description data

OpalUserInputModes OpalParamProtocol::m_userInputMode

The mode for user input transmission. Note this only applies if an explicit protocol is indicated in m_prefix. See OpalUserInputModes for more information.

const char* OpalParamProtocol::m_userName

User name to identify the endpoint. This is usually the protocol specific name and may interact with the OpalCmdRegistration command. e.g. "robertj" or 61295552148

The documentation for this struct was generated from the following file:

- opal.h